Subject: Re: bug#56854: 28.1; Codes generated from focus events being sent to buffers.

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 02 Aug 2022 12:53:26 +0200

Andreas Schwab <[email-masked]> writes:

> No, it's the other way round: since the terminal supports these events,
> it generates the associated sequences.  But if Emacs is currently not
> prepared to apply the input decode map (eg. while inside read-char) the
> characters will be interpreted as normal keyboard input.

Yup.  I can reproduce the behaviour in Ubuntu Terminal too, for
instance.  Recipe:

emacs -Q -nw
C-u

wait a bit, and then select a different application:

I thought there was another bug report open about this, but I can't find
it now.